import conans 

class ConanFile(conans.ConanFile): 
    name = "platform-dependent"
    description = "An abstraction layer for String and Memory utilities for DIP"
    version = "6.1" 
    license = "CERN copyright (c) 2021"
    url = "https://cern.ch/dip"
    settings = "os", "arch", "compiler", "build_type" 
    exports_sources = "CMakeLists.txt","src/*"
    generators = "cmake"

    def build(self):
        cmake = conans.CMake(conanfile=self)
        cmake.configure()
        cmake.build()

    def package(self):
        cmake = conans.CMake(conanfile=self)
        cmake.install()
    